Page MenuHomePhabricator

Convert 'reset conntrack' and 'reset ip[v6] cache' operations from vyatta-op to new syntax
Closed, ResolvedPublic

Description

Looks like trivial rewrites

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

alkersan changed the task status from Open to In progress.Aug 22 2019, 5:40 PM
alkersan triaged this task as Low priority.
alkersan created this task.
alkersan created this object in space S1 VyOS Public.
alkersan added a comment.EditedAug 23 2019, 11:17 AM

Please, review another batch of trivial rewrites from vyatta-op and the corresponding vyatta-op PR

Notes and questions:

  • reset ip[v6] cache/arp moved as is
  • show ip[v6] route moved as is
  • reset conntrack originally had a bash script with yet another implementation of yes/no prompt. There is one in vyos-1x already, in powerctrl.py, which I've moved to utils.
  • These were the only commands left under the reset node in vyatta, thus in the Makefile the root node can be kept, without potential conflicts during .deb installation. Is that correct?
pasik added a subscriber: pasik.Aug 25 2019, 9:06 PM
alkersan closed this task as Resolved.Aug 26 2019, 11:36 AM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Oct 13 2019, 3:06 PM